org.keycloak.models.jpa.entities

## Class UserSessionEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.UserSessionEntity

-     @Entity
      public class UserSessionEntity
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<ClientUserSessionAssociationEntity>` | `getClients()`
    `String` | `getId()`
    `String` | `getIpAddress()`
    `int` | `getLastSessionRefresh()`
    `String` | `getRealmId()`
    `int` | `getStarted()`
    `String` | `getUserId()`
    `void` | `setClients(Collection<ClientUserSessionAssociationEntity> clients)`
    `void` | `setId(String id)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setLastSessionRefresh(int lastSessionRefresh)`
    `void` | `setRealmId(String realmId)`
    `void` | `setStarted(int started)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSessionEntity

          public UserSessionEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getIpAddress

          public String getIpAddress()

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### getStarted

          public int getStarted()

    - #### setStarted

          public void setStarted(int started)

    - #### getLastSessionRefresh

          public int getLastSessionRefresh()

    - #### setLastSessionRefresh

          public void setLastSessionRefresh(int lastSessionRefresh)

    - #### getClients

          public Collection<ClientUserSessionAssociationEntity> getClients()

    - #### setClients

          public void setClients(Collection<ClientUserSessionAssociationEntity> clients)

Copyright © 2014. All Rights Reserved.